#![allow(dead_code, unused_imports, unused_variables, unused_assignments)]
#![allow(clippy::excessive_nesting)]

pub mod components;
pub mod auth;
pub mod utils;
pub mod types;
pub mod pages;
pub mod store;
pub mod app;
pub mod services;
pub mod api;
pub mod config;
pub mod hooks;

pub use app::App;

use wasm_bindgen::prelude::*;

#[wasm_bindgen(start)]
pub fn hydrate() {
    console_error_panic_hook::set_once();
    tracing_wasm::set_as_global_default();

    leptos::mount_to_body(App);
}
